function  z  = exam_3_24( x,y )      %主函数
%EXAM_3_24 主函数和子函数
%   徐国保于2017年3月1日编写
p=x+y;
if(p>=1)
    z=z1(x,y);
elseif (p>-1&p<1)
    z=z2(x,y);
else
    z=z3(x,y);
end

    function y=z1(x,y)
        %x+y>=1
        y=1-2*sin(0.5*x+3*y);
    end
    function y=z2(x,y)
        %-1<x+y<1
        y=1-exp(-x)*(1+y);
    end
    function y=z3(x,y)
        %x+y<=-1
        y=1-3*(exp(-2*x)-exp(-0.7*y));
    end
end

